org.eclipse.microprofile.reactive.messaging.tck.acknowledgement

## Class AsynchronousMessageSubscriberAckTest

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.TckBase
  - - org.eclipse.microprofile.reactive.messaging.tck.acknowledgement.AsynchronousMessageSubscriberAckTest

    public class AsynchronousMessageSubscriberAckTest
    extends TckBase

### Nested Class Summary

Nested Classes
`static class` `AsynchronousMessageSubscriberAckTest.MessageConsumer`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.reactive.messaging.tck.TckBase

`EXECUTOR`

### Constructor Summary

Constructors
Constructor and Description
`AsynchronousMessageSubscriberAckTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive>` `deployment()`
`void` `testThatMessagesAreAckedAfterSuccessfulProcessingOfMessage()`
`void` `testThatMessagesAreNackedAfterFailingProcessingOfMessage()`

### Methods inherited from class org.eclipse.microprofile.reactive.messaging.tck.TckBase

`getBaseArchive`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsynchronousMessageSubscriberAckTest

    public AsynchronousMessageSubscriberAckTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<org.jboss.shrinkwrap.api.spec.JavaArchive> deployment()

#### testThatMessagesAreAckedAfterSuccessfulProcessingOfMessage

    public void testThatMessagesAreAckedAfterSuccessfulProcessingOfMessage()
                                                                    throws InterruptedException,
                                                                           TimeoutException,
                                                                           ExecutionException

Throws:
  `InterruptedException`
  `TimeoutException`
  `ExecutionException`

#### testThatMessagesAreNackedAfterFailingProcessingOfMessage

    public void testThatMessagesAreNackedAfterFailingProcessingOfMessage()
                                                                  throws InterruptedException,
                                                                         TimeoutException,
                                                                         ExecutionException

Throws:
  `InterruptedException`
  `TimeoutException`
  `ExecutionException`